KD SOAP API Documentation: KDSoapThreadTaskData Class Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
KDSoapThreadTaskData Class Reference

`#include <KDSoapClientThread_p.h>`

Collaboration diagram for KDSoapThreadTaskData:
[legend]

## Public Member Functions
| KDSoapThreadTaskData (KDSoapClientInterface *iface, const QString &method, const KDSoapMessage &message, const QString &action, const KDSoapHeaders &headers)
KDSoapMessage | response () const
KDSoapHeaders | responseHeaders () const
void | waitForCompletion ()

## Public Attributes
QString | m_action
KDSoapAuthentication | m_authentication
KDSoapHeaders | m_headers
KDSoapClientInterface * | m_iface
KDSoapMessage | m_message
QString | m_method
KDSoapMessage | m_response
KDSoapHeaders | m_responseHeaders
QSemaphore | m_semaphore

## Detailed Description

Definition at line 29 of file KDSoapClientThread_p.h.

## Constructor & Destructor Documentation

## ◆ KDSoapThreadTaskData()

KDSoapThreadTaskData::KDSoapThreadTaskData | ( | KDSoapClientInterface * | iface,
|  | const QString & | method,
|  | const KDSoapMessage & | message,
|  | const QString & | action,
|  | const KDSoapHeaders & | headers
| ) |  |
| inline

Definition at line 32 of file KDSoapClientThread_p.h.

## Member Function Documentation

## ◆ response()

KDSoapMessage KDSoapThreadTaskData::response | ( |  | ) | const
| inline

Definition at line 46 of file KDSoapClientThread_p.h.

References m_response.

Referenced by KDSoapClientInterface::call().

## ◆ responseHeaders()

KDSoapHeaders KDSoapThreadTaskData::responseHeaders | ( |  | ) | const
| inline

Definition at line 50 of file KDSoapClientThread_p.h.

References m_responseHeaders.

Referenced by KDSoapClientInterface::call().

## ◆ waitForCompletion()

void KDSoapThreadTaskData::waitForCompletion | ( |  | ) |
| inline

Definition at line 42 of file KDSoapClientThread_p.h.

References QSemaphore::acquire(), and m_semaphore.

Referenced by KDSoapClientInterface::call().

## Member Data Documentation

## ◆ m_action

QString KDSoapThreadTaskData::m_action

Definition at line 59 of file KDSoapClientThread_p.h.

Referenced by KDSoapThreadTask::process().

## ◆ m_authentication

KDSoapAuthentication KDSoapThreadTaskData::m_authentication

Definition at line 56 of file KDSoapClientThread_p.h.

Referenced by KDSoapClientInterface::call(), and KDSoapThreadTask::slotAuthenticationRequired().

## ◆ m_headers

KDSoapHeaders KDSoapThreadTaskData::m_headers

Definition at line 63 of file KDSoapClientThread_p.h.

Referenced by KDSoapThreadTask::process().

## ◆ m_iface

KDSoapClientInterface* KDSoapThreadTaskData::m_iface

Definition at line 55 of file KDSoapClientThread_p.h.

Referenced by KDSoapThreadTask::process().

## ◆ m_message

KDSoapMessage KDSoapThreadTaskData::m_message

Definition at line 58 of file KDSoapClientThread_p.h.

Referenced by KDSoapThreadTask::process().

## ◆ m_method

QString KDSoapThreadTaskData::m_method

Definition at line 57 of file KDSoapClientThread_p.h.

Referenced by KDSoapThreadTask::process().

## ◆ m_response

KDSoapMessage KDSoapThreadTaskData::m_response

Definition at line 61 of file KDSoapClientThread_p.h.

Referenced by response().

## ◆ m_responseHeaders

KDSoapHeaders KDSoapThreadTaskData::m_responseHeaders

Definition at line 62 of file KDSoapClientThread_p.h.

Referenced by responseHeaders().

## ◆ m_semaphore

QSemaphore KDSoapThreadTaskData::m_semaphore

Definition at line 60 of file KDSoapClientThread_p.h.

Referenced by waitForCompletion().

The documentation for this class was generated from the following file:

- KDSoapClientThread_p.h

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8